GCLOUD_COMPUTE_URL-MAPS_SET-DEFAULT-SERVICE(1)

NAME

gcloud compute url-maps set-default-service - change the default service or default bucket of a URL map

SYNOPSIS

gcloud compute url-maps set-default-service URL_MAP_NAME (--default-backend-bucket=DEFAULT_BACKEND_BUCKET | --default-service=DEFAULT_SERVICE) [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute url-maps set-default-service is used to change the default service or default bucket of a URL map. The default service or default bucket is used for any requests for which there is no mapping in the URL map.

POSITIONAL ARGUMENTS

    URL_MAP_NAME
        The name of the URL map to operate on.

REQUIRED FLAGS
Exactly one of these must be specified:

    --default-backend-bucket=DEFAULT_BACKEND_BUCKET
        A backend bucket that will be used for requests for which this URL map has no mappings.

    --default-service=DEFAULT_SERVICE
        A backend service that will be used for requests for which this URL map has no mappings.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.